Loading...
Searching...
No Matches
etl::imessage_router Class Referenceabstract

This is the base of all message routers. More...

`#include <message_router.h>`

## Public Types

enum | { NULL_MESSAGE_ROUTER = 255 , MESSAGE_BUS = 254 , ALL_MESSAGE_ROUTERS = 253 , MESSAGE_BROKER = 252 , MESSAGE_ROUTER = 251 , MAX_MESSAGE_ROUTER = 249 }
Public Types inherited from etl::successor< imessage_router >
typedef imessage_router | successor_type

## Public Member Functions

virtual void | receive (const etl::imessage &)=0
virtual bool | accepts (etl::message_id_t) const =0
virtual bool | is_null_router () const =0
virtual bool | is_producer () const =0
virtual bool | is_consumer () const =0
virtual void | receive (etl::message_router_id_t destination_router_id, const etl::imessage &message)
virtual void | receive (etl::shared_message shared_msg)
virtual void | receive (etl::message_router_id_t destination_router_id, etl::shared_message shared_msg)
bool | accepts (const etl::imessage &msg) const
etl::message_router_id_t | get_message_router_id () const
Public Member Functions inherited from etl::successor< imessage_router >
| successor ()
| Default constructor.
void | set_successor (successor_type &s)
| Set the successor.
void | append_successor (TSuccessor &s)
| Append a successor.
void | clear_successor ()
| Clear the successor.
void | clear_successor_chain ()
| Clear the successor chain.
successor_type & | get_successor () const
bool | has_successor () const
| Does this have a successor?

## Protected Member Functions

| imessage_router (etl::message_router_id_t id_)
| imessage_router (etl::message_router_id_t id_, imessage_router &successor_)

## Detailed Description

This is the base of all message routers.

## Member Function Documentation

## accepts()

virtual bool etl::imessage_router::accepts | ( | etl::message_id_t |  | ) | const

pure virtual

Implemented in etl::fsm, etl::imessage_bus, and etl::message_broker.

## receive()

virtual void etl::imessage_router::receive | ( | const etl::imessage & |  | ) |

pure virtual

Implemented in etl::fsm.

The documentation for this class was generated from the following file:

- include/etl/message_router.h